"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _grayPercentage = require("gray-percentage");

var _grayPercentage2 = _interopRequireDefault(_grayPercentage);

var _aphrodite = require("aphrodite");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = _aphrodite.StyleSheet.create({
  editor: {
    ":active": {
      borderColor: (0, _grayPercentage2.default)(75, 0, true)
    },
    ":hover": {
      borderColor: (0, _grayPercentage2.default)(75, 0, true)
    },
    ":focus": {
      borderColor: (0, _grayPercentage2.default)(75, 0, true)
    }
  }
});

var Select = function Select(_ref) {
  var options = _ref.options,
      _ref$style = _ref.style,
      style = _ref$style === undefined ? {} : _ref$style,
      value = _ref.value,
      _onChange = _ref.onChange;

  var optionsEls = options.map(function (text, i) {
    return _react2.default.createElement(
      "option",
      { key: i, value: i },
      text
    );
  });
  return _react2.default.createElement(
    "select",
    {
      className: (0, _aphrodite.css)(styles.editor),
      style: _extends({
        background: "url(\"data:image/svg+xml;utf8,<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='18' height='18' viewBox='0 0 24 24'><path fill='rgb(153, 153, 153)' d='M7.406 7.828l4.594 4.594 4.594-4.594 1.406 1.406-6 6-6-6z'></path></svg>\")",
        backgroundColor: (0, _grayPercentage2.default)(20),
        backgroundPosition: "100% 50%",
        backgroundRepeat: "no-repeat",
        border: "1px solid",
        borderColor: (0, _grayPercentage2.default)(50, 0, true),
        borderRadius: 3,
        color: (0, _grayPercentage2.default)(90, 0, true),
        fontSize: 12,
        width: 80,
        padding: "2px 8px",
        height: 24,
        outline: "none",
        apperance: "none",
        mozAppearance: "none",
        webkitAppearance: "none"
      }, style),
      value: value,
      onChange: function onChange(e) {
        return _onChange(e.target.value);
      },
      onKeyDown: function onKeyDown(e) {
        var valueInt = parseInt(value, 10);
        var change = false;
        var newValue = void 0;
        if (e.which === 40 || e.which === 38) {
          e.preventDefault();
        }
        if (e.which === 40) {
          // arrow down
          change = true;
          // At end?
          if (valueInt === options.length - 1) {
            newValue = 0;
          } else {
            newValue = valueInt + 1;
          }
        }
        if (e.which === 38) {
          // arrow up
          change = true;
          // At beginning?
          if (valueInt === 0) {
            newValue = options.length - 1;
          } else {
            newValue = valueInt - 1;
          }
        }

        // If keyboard press was up or down then change.
        if (change) {
          _onChange(newValue.toString());
        }

        return false;
      }
    },
    optionsEls
  );
};

exports.default = Select;
module.exports = exports["default"];